import { GraphQLSchema, OperationDefinitionNode } from 'graphql';
import { Types } from '@graphql-codegen/plugin-helpers';
import { ClientSideBaseVisitor, LoadedFragment } from '@graphql-codegen/visitor-plugin-common';
import { RTKQueryPluginConfig, RTKQueryRawPluginConfig } from './config.cjs';
export declare class RTKQueryVisitor extends ClientSideBaseVisitor<RTKQueryRawPluginConfig, RTKQueryPluginConfig> {
    protected rawConfig: RTKQueryRawPluginConfig;
    private _externalImportPrefix;
    private _endpoints;
    private _hooks;
    constructor(schema: GraphQLSchema, fragments: LoadedFragment[], rawConfig: RTKQueryRawPluginConfig, documents: Types.DocumentFile[]);
    get imports(): Set<string>;
    get hasOperations(): boolean;
    getImports(): string[];
    getInjectCall(): string;
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string, hasRequiredVariables: boolean): string;
}
